type N = number;

export type RendererImage =
    | HTMLCanvasElement
    | OffscreenCanvas
    | HTMLImageElement;

export interface Renderer {
    get width(): N;
    get height(): N;
    clear(color: string): void;
    fillRect(x: N, y: N, w: N, h: N, color: string): void;
    fillCirc(x: N, y: N, radius: N, color: string): void;
    putImage(data: RendererImage, x: N, y: N, w?: N, h?: N): void;
}
